Bug 33941 - Ошибка при обновлении
: Ошибка при обновлении
Status: NEW
: Branch p8
(All bugs in Branch p8/gst-plugins-base1.0)
: не указана
: x86_64 Linux
: P3 normal
Assigned To:
:
:
:
:
: 34020
  Show dependency tree
 
Reported: 2017-09-29 14:22 by
Modified: 2017-10-18 16:57 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-09-29 14:22:49
Даю команды:
apt-get update
apt-get upgrade

В качестве результата второй получаю:
Совершаем изменения...
Preparing...                 ########################################### [100%]
file /usr/lib64/gstreamer-1.0/libgstrawparse.so from install of
gst-plugins-base1.0-1.12.3-alt0.M80P.1 conflicts with file from package
gst-plugins-bad1.0-1.8.3-alt1
E: Ошибка во время исполнения транзакции
------- Comment #1 From 2017-09-29 17:39:09 -------
2 aris: конфликта не хватает.

2 rider: объясни, куда вешать.
------- Comment #2 From 2017-09-29 18:31:26 -------
(В ответ на комментарий №1)
> 2 aris: конфликта не хватает.

Ищите настоящего виновника.
------- Comment #3 From 2017-10-18 16:57:40 -------
Проблема осложнена тем, что этот файл между версиями переехал из одного пакета
в другой (и при каких-то условиях -- выясняю -- rpm не справляется).

$ fgrep libgstrawparse.so /ALT/c8/x86_64/base/contents_index 
/usr/lib64/gstreamer-0.10/libgstrawparse.so    gst-plugins-bad
/usr/lib64/gstreamer-1.0/libgstrawparse.so    gst-plugins-bad1.0
$ fgrep libgstrawparse.so /ALT/p8/x86_64/base/contents_index 
/usr/lib64/gstreamer-0.10/libgstrawparse.so    gst-plugins-bad
/usr/lib64/gstreamer-1.0/libgstrawparse.so    gst-plugins-base1.0
$ fgrep libgstrawparse.so /ALT/Sisyphus/x86_64/base/contents_index 
/usr/lib64/gstreamer-0.10/libgstrawparse.so    gst-plugins-bad
/usr/lib64/gstreamer-1.0/libgstrawparse.so    gst-plugins-base1.0
$ rpm -qp /ALT/c8/x86_64/RPMS.classic/gst-plugins-ba*1.0*
gst-plugins-bad1.0-1.10.3-alt0.M80P.1
gst-plugins-bad1.0-devel-1.10.3-alt0.M80P.1
gst-plugins-base1.0-1.10.3-alt0.M80P.1
$ rpm -qp /ALT/p8/x86_64/RPMS.classic/gst-plugins-ba*1.0*
gst-plugins-bad1.0-1.12.3-alt0.M80P.1
gst-plugins-bad1.0-devel-1.12.3-alt0.M80P.1
gst-plugins-base1.0-1.12.3-alt0.M80P.1
$